import Vue from 'vue';
// import store from '../store';

import {
  Button,
  Image,
  Icon,
  Cell,
  CellGroup,
  Radio,
  RadioGroup,
  Row,
  Col,
  Dialog,
  Popup,
  Overlay,
  Divider,
  Loading,
  Toast,
  Picker,
  NavBar,
  Field,
  Checkbox,
  CardList,
  List,
  Form,
  Sticky,
  Tab,
  Tabs,
  Empty,
  Swipe,
  SwipeItem,
  Tabbar,
  TabbarItem,
  BackTop,
  Stepper,
  AddressEdit,
  SubmitBar,
  CouponList,
  Switch,
  AddressList,
  Collapse,
  CollapseItem,
  Uploader,
  IndexList,
  IndexListItem,
  Tag,
  ActionSheet,
  Steps,
  Step,
  Notify,
  CountDown,
  PwdField,
  AuthcodeField,
  Skeleton,
  Card,
  Progress,
  GoodsAction,
  Share
} from '@qg/cherry-ui';
import DialogFn from '@qg/cherry-ui/src/dialog/func';
// import "@qg/cherry-ui/dist/cherry.css";
Vue.use(NavBar);
Vue.use(Button);
Vue.use(Image);
Vue.use(Cell);
Vue.use(CellGroup);
Vue.use(Radio);
Vue.use(RadioGroup);
Vue.use(Row);
Vue.use(Col);
Vue.use(Popup);
Vue.use(Divider);
Vue.use(Toast);
Vue.use(Picker);
Vue.use(Field);
Vue.use(Dialog);
Vue.use(Checkbox);
Vue.use(Form);
Vue.use(Icon);
Vue.use(Sticky);
Vue.use(Overlay);
Vue.use(CardList);
Vue.use(Loading);
Vue.use(List);
Vue.use(Tab);
Vue.use(Tabs);
Vue.use(Empty);
Vue.use(Swipe);
Vue.use(SwipeItem);
Vue.use(Tabbar);
Vue.use(TabbarItem);
Vue.use(Stepper);
Vue.use(BackTop);
Vue.use(AddressEdit);
Vue.use(SubmitBar);
Vue.use(CouponList);
Vue.use(Switch);
Vue.use(AddressList);
Vue.use(Collapse);
Vue.use(CollapseItem);
Vue.use(Uploader);
Vue.use(IndexList);
Vue.use(IndexListItem);
Vue.use(Tag);
Vue.use(ActionSheet);
Vue.use(Steps);
Vue.use(Step);
Vue.use(Notify);
Vue.use(CountDown);
Vue.use(PwdField);
Vue.use(AuthcodeField);
Vue.use(Skeleton);
Vue.use(Card);
Vue.use(Progress);
Vue.use(GoodsAction);
Vue.use(Share);

// const _proto = Vue.prototype;
// const proto = Object.create(_proto);
// proto.$notify = option => {
//   option.customClass = store.state.pay.header ? 'has-header' : '';
//   return _proto.$notify(option);
// };
// Vue.prototype = proto;

Vue.prototype.$dialog = DialogFn;
